Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp.jmx
Class WebAppContextMBean

    java.lang.Object
      org.eclipse.jetty.jmx.ObjectMBean
          org.eclipse.jetty.server.handler.jmx.ContextHandlerMBean
              org.eclipse.jetty.webapp.jmx.WebAppContextMBean

All Implemented Interfaces:
  javax.management.DynamicMBean

    public class WebAppContextMBean

extends ContextHandlerMBean

Field Summary

Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean
`_managed`

Constructor Summary
`WebAppContextMBean(java.lang.Object managedObject)`

Method Summary
`java.lang.String` | `getObjectNameBasis()`

Methods inherited from class org.eclipse.jetty.server.handler.jmx.ContextHandlerMBean
`getContextAttributes, removeContextAttribute, setContextAttribute, setContextAttribute`

Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppContextMBean

    public WebAppContextMBean(java.lang.Object managedObject)

Method Detail

### getObjectNameBasis

    public java.lang.String getObjectNameBasis()

  Overrides:
    `getObjectNameBasis` in class `ContextHandlerMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.